package com.ims.eval.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDate;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 指标字典表
 * </p>
 *
 * @author wang
 * @since 2023-02-26
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class IndicatorDictionary extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    private String id;

    /**
     * 指标ID
     */
    private String indicatorId;

    /**
     * 选项编码
     */
    private String optionCode;

    /**
     * 选项名称
     */
    private String optionName;

    /**
     * 选项顺序
     */
    private BigDecimal optionOrder;

    /**
     * 描述
     */
    private String des;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDate createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private LocalDate updateTime;


}
