/**
 *
 */
package com.ims.eval.entity;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.Date;

import com.ims.core.entity.DataEntity;
import com.fasterxml.jackson.annotation.JsonIgnore;
/**
 * 发布公告表Entity
 * @author wang
 * @version 2023-02-25
 */
public class Report extends DataEntity<Report> {

	private static final long serialVersionUID = 1L;
	private String reportTitle;		// 公告标题
	private String des;		// 描述
	private Date publishTime;		// 公告发布时间
	private String reportPath;		// 报告保存路径
	private String deptId;		// 发布公告部门
	private Date createTime;		// 创建时间
	private Date updateTime;		// 更新时间


	public Report() {
		super();
	}

	public Report(String id){
		super(id);
	}

	public String getReportTitle() {
		return reportTitle;
	}

	public void setReportTitle(String reportTitle) {
		this.reportTitle = reportTitle;
	}
	public String getDes() {
		return des;
	}

	public void setDes(String des) {
		this.des = des;
	}
	public Date getPublishTime() {
		return publishTime;
	}

	public void setPublishTime(Date publishTime) {
		this.publishTime = publishTime;
	}
	public String getReportPath() {
		return reportPath;
	}

	public void setReportPath(String reportPath) {
		this.reportPath = reportPath;
	}
	public String getDeptId() {
		return deptId;
	}

	public void setDeptId(String deptId) {
		this.deptId = deptId;
	}
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

}