/**
 *
 */
package com.ims.eval.service.impl;

import com.ims.core.persistence.Page;
import com.ims.core.service.impl.CrudServiceImpl;
import com.ims.core.utils.IdGen;
import com.ims.eval.dao.EvaluateRuleDao;
import com.ims.eval.entity.EvaluateRule;
import com.ims.eval.service.IEvaluateRuleService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;


/**
 * 考评规则Service
 * @author wang
 * @version 2023-02-23
 */
@Service
@Transactional(readOnly = true)
public class EvaluateRuleServiceImpl extends CrudServiceImpl<EvaluateRuleDao, EvaluateRule> implements IEvaluateRuleService{

 	public EvaluateRule get(EvaluateRule evaluateRule) {
		return super.get(evaluateRule);
	}

    public List<EvaluateRule> findList(EvaluateRule evaluateRule) {
        return super.findList(evaluateRule);
    }

	public List<EvaluateRule> findAllListM(EvaluateRule evaluateRule,String dataFilter,String baseFilter,String key,String baseQuery,String specQuery) {
	 	return super.findAllListM(evaluateRule,dataFilter,baseFilter,key,baseQuery,specQuery);
	}

	public Page<EvaluateRule> findPageM(Page<EvaluateRule> page, EvaluateRule evaluateRule,String dataFilter,String baseFilter,String key,String baseQuery,String specQuery) {
		return super.findPageM(page, evaluateRule,dataFilter,baseFilter,key,baseQuery,specQuery);
	}

	public EvaluateRule initInsert(EvaluateRule evaluateRule)  {
		return super.initInsert(evaluateRule);
	}

	@Transactional(readOnly = false)
	public void checkSave(EvaluateRule evaluateRule) {
		super.checkSave(evaluateRule);
	}

	@Transactional(readOnly = false)
	public EvaluateRule save(EvaluateRule evaluateRule, boolean isNewRecord){
	    if(isNewRecord){
	        evaluateRule.setId(IdGen.uuid());
	    }
		return super.save(evaluateRule,isNewRecord);
	}

    @Transactional(readOnly = false)
    @Override
    public void insertList(List<EvaluateRule> list){
        super.insertList(list);
    }

	@Transactional(readOnly = false)
	public void checkRemove(EvaluateRule evaluateRule,String baseFilter){
		super.checkRemove(evaluateRule,baseFilter);
	}

	@Transactional(readOnly = false)
	public void delete(EvaluateRule evaluateRule,String baseFilter) {
		super.delete(evaluateRule,baseFilter);
	}
}
